\documentclass{standalone}

\usepackage[utf8x]{inputenc}
\usepackage[T1]{fontenc}

\usepackage[frenchb]{babel}
\usepackage[upright]{kpfonts}
\usepackage{tikz}

\usepackage{fp}
\usepgflibrary{fixedpointarithmetic}

\usepackage[np]{numprint}

\makeatletter

\pgfmathdeclarefunction{erf}{1}{%
  \begingroup
  \pgfkeys{/pgf/fixed point arithmetic}
  \pgfmathifthenelse{#1 > 0}{1}{-1}
  \edef\sign{\pgfmathresult}%
  \pgfmathparse{abs(#1)}
  \edef\x{\pgfmathresult}%
  \pgfmathparse{1/(1+0.3275911*\x)}
  \edef\t{\pgfmathresult}%
  \pgfmathparse{%
  1 - (((((1.061405429*\t -1.453152027)*\t) + 1.421413741)*\t
  -0.284496736)*\t + 0.254829592)*\t*exp(-(\x*\x))}
  \edef\y{\pgfmathresult}%
  \pgfmathparse{(\sign)*\y}
  \pgfmath@smuggleone\pgfmathresult%
  \endgroup
}
\pgfmathdeclarefunction{normcr}{1}{%
  \begingroup
  \pgfkeys{/pgf/fixed point arithmetic}
  \pgfmathparse{(erf(#1/sqrt(2))+1)/2}
  \pgfmath@smuggleone\pgfmathresult%
  \endgroup
}

\makeatother

\usetikzlibrary{shapes}

\begin{document}

%\begin{tikzpicture}[xscale=3.65,yscale=2.15]
\begin{tikzpicture}[xscale=8.12022,yscale=4.2]

  \draw[white] (1,2.5) rectangle (2,2.8) ;
  \draw[white] (1,-7.2) rectangle (1,-7.2) ;
  \draw[white] (-2.5,-1) rectangle (-2.5,-2) ;
  \draw[white] (4.8,-1) rectangle (4.8,-2) ;
  \draw (1.5,2.5) node { \Huge Papier Weibull } ;
  \draw ({ln(0.1)},-6.9) rectangle ({ln(100)},2) ;

  \foreach \t in
  {0.1,0.2,0.3,0.4,0.5,0.6,0.8,1,2,3,4,5,6,8,10,20,30,40,50,60,80,100}
  {
    \draw ({ln(\t)},-6.9) node [below] { \large \np{\t} } ;
  }

  \foreach \x in {-2.0,-1.0,0.0,1.0,2.0,3.0,4.0}
  {
    \draw (\x,2) node [above] { \large \np{\x} } ;
  }

  \foreach \t in {0.1,1,10} {
    \foreach \T in {0,1,...,9} {
      \draw ({ln(\t + \t*\T/10)},-6.9) -- ({ln(\t +\t*\T/10)},2) ;
    }
  }
  \foreach \t in {0.2,2,20} {
    \foreach \T in {0,1,...,9} {
      \draw ({ln(\t + \t*\T/20)},-6.9) -- ({ln(\t +\t*\T/20)},2) ;
    }
  }
  \foreach \t in {0.3,3,30} {
    \foreach \T in {0,1,...,9} {
      \draw ({ln(\t + \t*\T/30)},-6.9) -- ({ln(\t +\t*\T/30)},2) ;
    }
  }
  \foreach \t in {0.4,4,40} {
    \foreach \T in {0,1,...,9} {
      \draw ({ln(\t + \t*\T/40)},-6.9) -- ({ln(\t +\t*\T/40)},2) ;
    }
  }
  \foreach \t in {0.5,5,50} {
    \foreach \T in {0,2,...,8} {
      \draw ({ln(\t + \t*\T/50)},-6.9) -- ({ln(\t +\t*\T/50)},2) ;
    }
  }
  \foreach \t in {0.6,6,60} {
    \foreach \T in {0,2,...,8} {
      \draw ({ln(\t + \t*\T/60)},-6.9) -- ({ln(\t +\t*\T/60)},2) ;
    }
  }
  \foreach \t in {0.7,7,70} {
    \foreach \T in {0,2,...,8} {
      \draw ({ln(\t + \t*\T/70)},-6.9) -- ({ln(\t +\t*\T/70)},2) ;
    }
  }

  \foreach \t in {0.8,8,80} {
    \foreach \T in {0,2,...,8} {
      \draw ({ln(\t + \t*\T/80)},-6.9) -- ({ln(\t +\t*\T/80)},2) ;
    }
  }
  \foreach \t in {0.9,9,90} {
    \foreach \T in {0,2,...,8} {
      \draw ({ln(\t + \t*\T/90)},-6.9) -- ({ln(\t +\t*\T/90)},2) ;
    }
  }


  \foreach \F in {
    0.1,0.2,0.3,0.5,1.0,2.0,3.0,5.0,10.0,20.0,30.0,50.0,70.0,90.0,99.0,99.9}
    {
      \draw ({ln(0.1)},{ln(-ln(1-\F/100))}) node [left] {\large \np{\F} } ;
    }

  \foreach \F in {0.10,0.11,0.12,...,0.2}
  {
    \draw ({ln(0.1)},{ln(-ln(1-\F/100))}) -- (4.6,{ln(-ln(1-\F/100))}) ;
  }
  \foreach \F in {0.22,0.24,...,0.4,0.45,0.5}
  {
    \draw ({ln(0.1)},{ln(-ln(1-\F/100))}) -- (4.6,{ln(-ln(1-\F/100))}) ;
  }
  \foreach \F in {0.6,0.7,...,1.0}
  {
    \draw ({ln(0.1)},{ln(-ln(1-\F/100))}) -- (4.6,{ln(-ln(1-\F/100))}) ;
  }
  \foreach \F in {1.1,1.2,...,2.0}
  {
    \draw ({ln(0.1)},{ln(-ln(1-\F/100))}) -- (4.6,{ln(-ln(1-\F/100))}) ;
  }
  \foreach \F in {2.2,2.4,...,4,4.5,5}
  {
    \draw ({ln(0.1)},{ln(-ln(1-\F/100))}) -- (4.6,{ln(-ln(1-\F/100))}) ;
  }
  \foreach \F in {6,7,...,10}
  {
    \draw ({ln(0.1)},{ln(-ln(1-\F/100))}) -- (4.6,{ln(-ln(1-\F/100))}) ;
  }
  \foreach \F in {11,12,...,20}
  {
    \draw ({ln(0.1)},{ln(-ln(1-\F/100))}) -- (4.6,{ln(-ln(1-\F/100))}) ;
  }
  \foreach \F in {22,24,...,50}
  {
    \draw ({ln(0.1)},{ln(-ln(1-\F/100))}) -- (4.6,{ln(-ln(1-\F/100))}) ;
  }
  \foreach \F in {52,54,...,90}
  {
    \draw ({ln(0.1)},{ln(-ln(1-\F/100))}) -- (4.6,{ln(-ln(1-\F/100))}) ;
  }
  \foreach \F in {91,92,...,99}
  {
    \draw ({ln(0.1)},{ln(-ln(1-\F/100))}) -- (4.6,{ln(-ln(1-\F/100))}) ;
  }
  \foreach \F in {99.1,99.2,...,99.9}
  {
    \draw ({ln(0.1)},{ln(-ln(1-\F/100))}) -- (4.6,{ln(-ln(1-\F/100))}) ;
  }

  \foreach \t in
  {0.2,0.3,0.4,0.5,0.6,0.8,1,2,3,4,5,6,8,10,20,30,40,50,60,80,100}
  {
    \draw ({ln(\t)},0) node [inner sep=0.8pt,fill=white,above] { \large \np{\t} } ;
  }
  \draw [very thick,color=red,dashed] ({ln(0.1)},0) -- ({ln(100)},0) node
  [below right] { \large $\eta$ } ;

  \draw [fill=white] (-1.075,0) rectangle (-0.925,-6.6) ;
  \draw [thick, blue] (0,0) node [draw,circle] {} -- (-1,0) ;
  \draw [thick,color=blue] (-1,0) -- (-1,-6.6) ;
  \foreach \b in {0,1,2,3,4,5,6}
  {
    \draw (-1.05,-\b) node [below left,fill=white,inner sep=0.8pt]
    {\large \b} -- (-0.95,-\b) ;
  }


\end{tikzpicture}
\end{document}
